package djmil.cordacheckers.cordaclient;

import java.util.List;
import java.util.UUID;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import djmil.cordacheckers.cordaclient.dao.GameState;
import djmil.cordacheckers.user.HoldingIdentityResolver;

@SpringBootTest
public class GameStateTests {
    @Autowired
    CordaClient cordaClient;

    @Autowired
    HoldingIdentityResolver holdingIdentityResolver;

    final String player1 = "alice";
    final String player2 = "bobik";

    @Test
    void testList() {
        final var hiPlayer1  = holdingIdentityResolver.getByUsername(player1);

        List<GameState> gsList = cordaClient.gameStateList(hiPlayer1);

        System.out.println(gsList);
    }

    @Test
    void testGet() {
        final var hiPlayer2  = holdingIdentityResolver.getByUsername(player2);

        GameState gameStateView = cordaClient.gameStateGet(hiPlayer2,
            UUID.fromString("cf357d0a-8f64-4599-b9b5-d263163812d4")
            );

        System.out.println(gameStateView);
    }

}
